%global plugin_name script-security

Summary:    Give security roles to scripts in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.19
Release:    1%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Script+Security+Plugin
# AltURL:   https://github.com/jenkinsci/script-security-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.580.1

%description
Various Jenkins plugins require that users define custom scripts, 
most commonly in the Groovy language, to customize Jenkins’s behavior. 
If everyone who writes these scripts is a Jenkins administrator—specifically 
if they have the Overall/RunScripts permission, used for example by the 
Script Console link—then they can write whatever scripts they like. 
These scripts may directly refer to internal Jenkins objects using the 
same API offered to plugins. Such users must be completely trusted, as 
they can do anything to Jenkins (even changing its security settings or 
running shell commands on the server).

However, if some script authors are “regular users” with only more limited 
permissions, such as Job/Configure, it is inappropriate to let them run 
arbitrary scripts. To support such a division of roles, the Script Security 
library plugin can be integrated into various feature plugins. It supports 
two related systems: script approval, and Groovy sandboxing.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.19-1
- Initial package
